complexType "PortfolioConstituentReference"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | portfolioName?, sequenceNumber?
</...>

Content Model Elements (2):

  portfolioName (defined in PortfolioReferenceBase complexType),
  sequenceNumber (in portfolioReference defined in PortfolioConstituentReference.model group)

All Direct / Indirect Based Elements (1):

  portfolioReference (defined in PortfolioConstituentReference.model group)

Known Usage Locations

- As direct type of elements (1):
  portfolioReference (defined in PortfolioConstituentReference.model group)

Annotation
A structure used to group together individual messages that can be acted on at a group level.
Type Definition Detail

Type Derivation Tree PortfolioReferenceBase (extension) PortfolioConstituentReference

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PortfolioConstituentReference"> <xsd:complexContent> <xsd:extension base="PortfolioReferenceBase"> <xsd:sequence> <xsd:element minOccurs="0" name="sequenceNumber" type="xsd:positiveInteger"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/2)
sequenceNumber

  Type: | xsd:positiveInteger, predefined, simple content

  A numeric, sequentially ascending (i.e. gapless) value (starting at 1) that can be used to identify and distinguish the individual constituents of a portfolio request. A recipient should ensure that all sequence numbers from 1 to the final sequence number (where submissionsComplete is true) have arrived before completing the portfolio request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sequenceNumber" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.